/* $Id$ */
/*-
 * Copyright (c) 2003, 2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __XPREFS_DAEMON_XPREFS_DATABASE_H__
#define __XPREFS_DAEMON_XPREFS_DATABASE_H__

#include <xprefs/xprefs-dbus.h>

G_BEGIN_DECLS;

typedef struct _XPrefsDatabase XPrefsDatabase;

XPrefsDatabase* xprefs_database_new           (DBusConnection *connection);
void            xprefs_database_free          (XPrefsDatabase *database);

void            xprefs_database_sync          (XPrefsDatabase *database);
void            xprefs_database_schedule_sync (XPrefsDatabase *database);

void            xprefs_database_notify        (XPrefsDatabase *database,
                                               const gchar *key,
                                               const XPrefsValue *value);

void            xprefs_database_parse_file    (XPrefsDatabase *database,
                                               const gchar *filename);

G_END_DECLS;

#endif  /* !__XPREFS_DAEMON_XPREFS_DATABASE_H__ */
