/* $Id$ */
/*-
 * Copyright (c) 2003, 2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __XPREFS_DAEMON_XPREFS_DEFAULTS_H__
#define __XPREFS_DAEMON_XPREFS_DEFAULTS_H__

#include <xprefs/xprefs-value.h>

typedef struct _XPrefsDefaults XPrefsDefaults;

XPrefsDefaults*     xprefs_defaults_new       (void) G_GNUC_CONST;
void                xprefs_defaults_free      (XPrefsDefaults *defaults);

void                xprefs_defaults_assign    (XPrefsDefaults *defaults,
                                               const gchar *key,
                                               XPrefsValue *value);
const XPrefsValue*  xprefs_defaults_lookup    (const XPrefsDefaults *defaults,
                                               const gchar *key) G_GNUC_CONST;

void                xprefs_defaults_parse_file(XPrefsDefaults *defaults,
                                               const gchar *filename);

#endif  /* !__XPREFS_DAEMON_XPREFS_DEFAULTS_H__ */
