/* $Id$ */
/*-
 * Copyright (c) 2003, 2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __XPREFS_DAEMON_XPREFS_NODE_H__
#define __XPREFS_DAEMON_XPREFS_NODE_H__

#include <xprefs/xprefs-entry.h>

typedef struct _XPrefsDir   XPrefsDir;

#define XPREFS_DIR(obj)     ((XPrefsDir *)(obj))


XPrefsDir*    xprefs_dir_new            (XPrefsDir *parent,
                                         const gchar *name,
                                         GError **error);
void          xprefs_dir_free           (XPrefsDir *dir);

gchar*        xprefs_dir_absolute_path  (const XPrefsDir *dir) G_GNUC_CONST;

const gchar*  xprefs_dir_get_name       (const XPrefsDir *dir) G_GNUC_CONST;

GList*        xprefs_dir_get_entries    (const XPrefsDir *dir);
GList*        xprefs_dir_get_subdirs    (const XPrefsDir *dir);
XPrefsEntry*  xprefs_dir_get_entry      (const XPrefsDir *dir,
                                         const gchar *name) G_GNUC_CONST;
XPrefsDir*    xprefs_dir_get_subdir     (const XPrefsDir *dir,
                                         const gchar *name) G_GNUC_CONST;
XPrefsEntry*  xprefs_dir_lookup_entry   (XPrefsDir *dir,
                                         gchar **components,
                                         gboolean create_if_necessary,
                                         GError **error);
XPrefsDir*    xprefs_dir_lookup_subdir  (XPrefsDir *dir,
                                         gchar **components,
                                         gboolean create_if_necessary,
                                         GError **error);
gboolean      xprefs_dir_remove_entry   (XPrefsDir *dir,
                                         gchar **components,
                                         GError **error);

#endif  /* !__XPREFS_DAEMON_XPREFS_NODE_H__ */

