/* $Id$ */
/*-
 * Copyright (c) 2003, 2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __XPREFS_XPREFS_ENTRY_H__
#define __XPREFS_XPREFS_ENTRY_H__

#include <xprefs/xprefs-value.h>

typedef struct _XPrefsEntry XPrefsEntry;

#define XPREFS_ENTRY(entry) ((XPrefsEntry *)(entry))

XPrefsEntry*        xprefs_entry_new              (const gchar *name,
                                                   const XPrefsValue *value);
XPrefsEntry*        xprefs_entry_new_nocopy       (gchar *name,
                                                   XPrefsValue *value);
void                xprefs_entry_free             (XPrefsEntry *entry);
const gchar*        xprefs_entry_get_name         (const XPrefsEntry *entry);
const XPrefsValue*  xprefs_entry_get_value        (const XPrefsEntry *entry);
void                xprefs_entry_set_value        (XPrefsEntry *entry,
                                                   const XPrefsValue *value);
void                xprefs_entry_set_value_nocopy (XPrefsEntry *entry,
                                                   XPrefsValue *value);

gpointer            xprefs_entry_get_user_data    (const XPrefsEntry *entry);
void                xprefs_entry_set_user_data    (XPrefsEntry *entry,
                                                   gpointer user_data,
                                                   GDestroyNotify dnotify);

#endif  /* !__XPREFS_XPREFS_ENTRY_H__ */
